package com.ym.mec.common.entity;

import com.alibaba.fastjson.JSONObject;

public class ImMessageDto {
    private String objectName;

    private String messageContent;

    private String extra;

    private String fileUrl;

    private Long fileSize;

    private String fileName;

    private String[] targetIds;

    private String senderId;

    private Integer isIncludeSender = 1;

    private ImSendMessageUserInfo userInfo;

    public ImSendMessageUserInfo getUserInfo() {
        return userInfo;
    }

    public void setUserInfo(ImSendMessageUserInfo userInfo) {
        this.userInfo = userInfo;
    }

    public Integer getIsIncludeSender() {
        return isIncludeSender;
    }

    public void setIsIncludeSender(Integer isIncludeSender) {
        this.isIncludeSender = isIncludeSender;
    }

    public String getObjectName() {
        return objectName;
    }

    public void setObjectName(String objectName) {
        this.objectName = objectName;
    }

    public String getMessageContent() {
        return messageContent;
    }

    public void setMessageContent(String messageContent) {
        this.messageContent = messageContent;
    }

    public String getExtra() {
        return extra;
    }

    public void setExtra(String extra) {
        this.extra = extra;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public Long getFileSize() {
        return fileSize;
    }

    public void setFileSize(Long fileSize) {
        this.fileSize = fileSize;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String[] getTargetIds() {
        return targetIds;
    }

    public void setTargetIds(String[] targetIds) {
        this.targetIds = targetIds;
    }

    public String getSenderId() {
        return senderId;
    }

    public void setSenderId(String senderId) {
        this.senderId = senderId;
    }
}
